/***** **** *** ** *  *   *    *     *       *     *   *  * ** *** **** *****\

    logresolve 2.0 - http://www.uunet.ca/~tomr/progs/logresolve/

    lr-nsrec.c - configuration & global structures 2.0n0

    Tom Rathborne - tomr@uunet.ca - http://www.uunet.ca/~tomr/

\***** **** *** ** *  *   *    *     *       *     *   *  * ** *** **** *****/

#include "lr-nsrec.h"

/*
 * nsrec_new - malloc's a new record
 */

struct nsrec *
nsrec_new()
{
    struct nsrec *record;
    record = (struct nsrec *) calloc(1, sizeof(struct nsrec));

    return (record);
}

/*
 * nsrec_del - frees a record
 */

void
nsrec_del(struct nsrec *record)
{
    if (record->hostname)
	free(record->hostname);
    free(record);
}

/*** end of lr-nsrec.c ***/
